# cPy - demonstrates the usage of drawsvg for a line
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-09-17  initial release

# https://pypi.org/project/drawsvg/

import  os;     os.system('clear')
import  drawsvg as  draw

def main():
    d = draw.Drawing(200, 200)
    line = draw.Line(0, 0, 160, 160, stroke="red", stroke_width=4)
    d.append(line)
    d.save_svg('test.svg')
    os.system('./svg_viewer.py test.svg')


main()
